> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read My Notification Prefs



## OpenAPI

````yaml /api-reference/openapi.json get /api/users/me/notification-prefs
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/users/me/notification-prefs:
    get:
      tags:
        - users
      summary: Read My Notification Prefs
      operationId: read_my_notification_prefs_api_users_me_notification_prefs_get
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationPrefs'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NotificationPrefs:
      properties:
        notifyInApp:
          type: boolean
          title: Notifyinapp
          default: true
        notifyEmail:
          type: boolean
          title: Notifyemail
          default: false
        criticalAlerts:
          type: boolean
          title: Criticalalerts
          default: true
        weeklyReports:
          type: boolean
          title: Weeklyreports
          default: false
        notifyScanEvents:
          type: boolean
          title: Notifyscanevents
          default: true
        notifyDatasetEvents:
          type: boolean
          title: Notifydatasetevents
          default: true
        notifyProjectEvents:
          type: boolean
          title: Notifyprojectevents
          default: true
        notifySecurityEvents:
          type: boolean
          title: Notifysecurityevents
          default: true
        notifyUserEvents:
          type: boolean
          title: Notifyuserevents
          default: true
        notifyOtherEvents:
          type: boolean
          title: Notifyotherevents
          default: true
        notifyToastAlerts:
          type: boolean
          title: Notifytoastalerts
          default: true
        notifyScanSuccess:
          type: boolean
          title: Notifyscansuccess
          default: true
        notifyScanFailure:
          type: boolean
          title: Notifyscanfailure
          default: true
      additionalProperties: false
      type: object
      title: NotificationPrefs
      description: |-
        User-configurable notification settings.

        Keys intentionally mirror frontend naming.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````